precision highp float;

uniform mat4 modelViewProjectionMatrix;
uniform float texcoordScale;

attribute vec4 inPosition;  
attribute lowp vec2 inTexcoord;
varying mediump vec2 varTexcoord1;
varying mediump vec2 varTexcoord2;

void main (void) 
{
	gl_Position	= modelViewProjectionMatrix * inPosition;
    varTexcoord1 = inTexcoord;
    varTexcoord2 = inPosition.xy*texcoordScale/1024.0;
}
