precision highp float;

uniform mat4 modelViewProjectionMatrix;
uniform float texcoordScale;

attribute vec4 inPosition;  
varying mediump vec2 varTexcoord;

void main (void) 
{
	gl_Position	= modelViewProjectionMatrix * inPosition;
    varTexcoord = inPosition.xy*texcoordScale/1024.0;
}
