precision highp float;

uniform sampler2D diffuseTexture;
uniform sampler2D texture2;

varying mediump vec2 varTexcoord1;
varying mediump vec2 varTexcoord2;

void main (void)
{
    mediump vec4 edgeTexVal=texture2D(diffuseTexture, varTexcoord1.st, 0.0);
    mediump vec4 fgTexVal=texture2D(texture2, varTexcoord2.st, 0.0);
    gl_FragColor.rgb = (fgTexVal.rgb*(1.0-edgeTexVal.b))+(edgeTexVal.ggg*edgeTexVal.b);
    gl_FragColor.a=edgeTexVal.r;
}
